#include <iostream>

using namespace std;

main()
{
    unsigned long long int x1,x2,y1,y2;
    cin>>x1>>y1;
    cin>>x2>>y2;

    if(x1==x2 && y1!=y2)
    {
        cout<<"2"<<endl;
        return 0;
    }

    if(x1!=x2 && y1==y2)
    {
        cout<<"2"<<endl;
        return 0;
    }

    if(x1!=x2 && y1!=y2)
    {
        cout<<"1"<<endl;
        return 0;
    }
}